--- ./source/openssh-5.1p1/openbsd-compat/Makefile.orig	2008-12-16 17:11:52.000000000 +0100
+++ ./source/openssh-5.1p1/openbsd-compat/Makefile	2008-12-16 17:39:16.000000000 +0100
@@ -12,9 +12,9 @@
 CPPFLAGS=-I. -I.. -I$(srcdir) -I$(srcdir)/..  -DHAVE_CONFIG_H
 LIBS=-lcrypto -lutil -lz  -lcrypt -lresolv -lresolv
 AR=/usr/bin/ar
-RANLIB=mipsel-linux-ranlib
+RANLIB=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-ranlib
 INSTALL=/usr/bin/install -c
-LDFLAGS=-L. 
+LDFLAGS=-static -L. 
 
 OPENBSD=base64.o basename.o bindresvport.o daemon.o dirname.o fmt_scaled.o getcwd.o getgrouplist.o getopt.o getrrsetbyname.o glob.o inet_aton.o inet_ntoa.o inet_ntop.o mktemp.o readpassphrase.o realpath.o rresvport.o setenv.o setproctitle.o sha2.o sigact.o strlcat.o strlcpy.o strmode.o strsep.o strtonum.o strtoll.o strtoul.o vis.o
 
--- ./source/openssh-5.1p1/Makefile.orig	2008-12-16 17:11:52.000000000 +0100
+++ ./source/openssh-5.1p1/Makefile	2008-12-16 17:36:08.000000000 +0100
@@ -48,13 +48,13 @@
 LIBEDIT=
 AR=/usr/bin/ar
 AWK=gawk
-RANLIB=mipsel-linux-ranlib
+RANLIB=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-ranlib
 INSTALL=/usr/bin/install -c
 PERL=/usr/bin/perl
 SED=/bin/sed
 ENT=
 XAUTH_PATH=/usr/bin/xauth
-LDFLAGS=-L. -Lopenbsd-compat/ 
+LDFLAGS=-static -L. -Lopenbsd-compat/
 EXEEXT=
 
 INSTALL_SSH_PRNG_CMDS=
--- ./source/dropbear-0.52/options.h.orig	2008-12-16 17:12:11.000000000 +0100
+++ ./source/dropbear-0.52/options.h	2008-12-16 17:52:48.000000000 +0100
@@ -21,10 +21,10 @@
 
 /* Default hostkey paths - these can be specified on the command line */
 #ifndef DSS_PRIV_FILENAME
-#define DSS_PRIV_FILENAME "/mod/etc/ssh/dss_host_key"
+#define DSS_PRIV_FILENAME "/var/tmp/dropbear_dss_host_key"
 #endif
 #ifndef RSA_PRIV_FILENAME
-#define RSA_PRIV_FILENAME "/mod/etc/ssh/rsa_host_key"
+#define RSA_PRIV_FILENAME "/var/tmp/dropbear_rsa_host_key"
 #endif
 
 /* Set NON_INETD_MODE if you require daemon functionality (ie Dropbear listens
@@ -220,19 +220,19 @@
 /* The command to invoke for xauth when using X11 forwarding.
  * "-q" for quiet */
 #ifndef XAUTH_COMMAND
-#define XAUTH_COMMAND "/usr/X11R6/bin/xauth -q"
+//#define XAUTH_COMMAND "/usr/X11R6/bin/xauth -q"
 #endif
 
 /* if you want to enable running an sftp server (such as the one included with
  * OpenSSH), set the path below. If the path isn't defined, sftp will not
  * be enabled */
 #ifndef SFTPSERVER_PATH
-//#define SFTPSERVER_PATH "/usr/libexec/sftp-server"
+#define SFTPSERVER_PATH "/var/tmp/sftp-server"
 #endif
 
 /* This is used by the scp binary when used as a client binary. If you're
  * not using the Dropbear client, you'll need to change it */
-#define _PATH_SSH_PROGRAM "/usr/bin/ssh"
+#define _PATH_SSH_PROGRAM "/var/tmp/ssh"
 
 /* Whether to log commands executed by a client. This only logs the 
  * (single) command sent to the server, not what a user did in a 
@@ -263,7 +263,7 @@
 #define DEFAULT_IDLE_TIMEOUT 0
 
 /* The default path. This will often get replaced by the shell */
-#define DEFAULT_PATH "/usr/bin:/bin"
+#define DEFAULT_PATH "/usr/bin:/bin:/var/tmp"
 
 /* Some other defines (that mostly should be left alone) are defined
  * in sysoptions.h */
--- ./source/dropbear-0.52/sshpty.c.orig	2008-11-11 15:09:03.000000000 +0100
+++ ./source/dropbear-0.52/sshpty.c	2008-12-16 17:15:13.000000000 +0100
@@ -404,8 +404,14 @@
 					"chmod(%.100s, 0%o) failed: %.100s",
 					tty_name, mode, strerror(errno));
 			} else {
+#if 0
 				dropbear_exit("chmod(%.100s, 0%o) failed: %.100s",
 				    tty_name, mode, strerror(errno));
+#else
+				dropbear_log(LOG_ERR,
+					"chmod(%.100s, 0%o) failed: %.100s",
+					tty_name, mode, strerror(errno));
+#endif
 			}
 		}
 	}
--- ./source/dropbear-0.52/Makefile.orig	2008-12-16 17:12:15.000000000 +0100
+++ ./source/dropbear-0.52/Makefile	2008-12-16 17:22:05.000000000 +0100
@@ -64,9 +64,9 @@
 sbindir=${exec_prefix}/sbin
 
 CC=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-uclibc-gcc
-AR=mipsel-linux-ar
-RANLIB=mipsel-linux-ranlib
-STRIP=mipsel-linux-strip
+AR=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-ar
+RANLIB=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-ranlib
+STRIP=/home/jojo/freetz/freetz-trunk/toolchain/target/bin/mipsel-linux-strip
 INSTALL=install
 CPPFLAGS=
 CFLAGS=-I. -I$(srcdir) -I$(srcdir)/libtomcrypt/src/headers/ $(CPPFLAGS) -Os -pipe -march=4kc -Wa,--trap -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
